/*
* Copyright (c) 京北方信息技术股份有限公司 Corporation 2022 . All rights reserved.
*
*/
package net.northking.cctp.scriptcase.dto.atuscriptrecord;

import com.fasterxml.jackson.databind.annotation.JsonSerialize;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;

import javax.validation.constraints.*;

import java.io.Serializable;

/**
* 查询接口--数据传输对象：数据源配置
*
* createdate:  2022-10-31 14:22:19  <br>
* @author:  maven-cctp-plugin  <br>
* @since:  1.0 <br>
*/
@JsonSerialize
@ApiModel(description = "数据源配置")
public class AtuDbConfigQueryDto implements Serializable
{
    //连接的时候传的参数
    private String id;
    //验证的时候传的参数
    /**
     * 数据源类型：0-MySQL、1-Oracle、2-MongoDB<br>
     */
    @ApiModelProperty("数据源类型：0-MySQL、1-Oracle、2-MongoDB")
    private Integer type;
    /**
     * 主机ip<br>
     */
    @ApiModelProperty("主机ip")
    @Size(max = 50, message="主机ip-host: 数据长度不能 > 50" )
    private String host;
    /**
     * 端口<br>
     */
    @ApiModelProperty("端口")
    @Size(max = 50, message="端口-port: 数据长度不能 > 50" )
    private String port;
    /**
     * 数据库名称<br>
     */
    @ApiModelProperty("数据库名称")
    @Size(max = 50, message="数据库名称-dbName: 数据长度不能 > 50" )
    private String dbName;
    /**
     * 数据库登入名<br>
     */
    @ApiModelProperty("数据库登入名")
    @Size(max = 50, message="数据库登入名-userName: 数据长度不能 > 50" )
    private String userName;
    /**
     * 数据库登入密码<br>
     */
    @ApiModelProperty("数据库登入密码")
    @Size(max = 50, message="数据库登入密码-password: 数据长度不能 > 50" )
    private String password;

    public String getId() {
        return id;
    }

    public void setId(String id) {
        this.id = id;
    }

    public Integer getType() {
        return type;
    }

    public void setType(Integer type) {
        this.type = type;
    }

    public String getHost() {
        return host;
    }

    public void setHost(String host) {
        this.host = host;
    }

    public String getPort() {
        return port;
    }

    public void setPort(String port) {
        this.port = port;
    }

    public String getDbName() {
        return dbName;
    }

    public void setDbName(String dbName) {
        this.dbName = dbName;
    }

    public String getUserName() {
        return userName;
    }

    public void setUserName(String userName) {
        this.userName = userName;
    }

    public String getPassword() {
        return password;
    }

    public void setPassword(String password) {
        this.password = password;
    }
}